Subject: Re: git gui and commit-msg hook

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 17 Jan 2008 23:12:30 -0500

"Blucher, Guy" <[email-masked]> wrote:
> Is the commit-msg hook supposed to work when using git gui to do a
> commit?

Uhhh.  Whoops.  ;-)

git-gui doesn't implement the commit-msg hook.  Because I forgot
to implement it.  So yes, its supposed to work, but no, it doesn't,
because it was never coded.  :-)
 
> All I want to do is verify that the text of a commit message follows
> some "corporate standard", perhaps I can do this using the pre-commit
> hook instead, but commit-msg seems to be the best fit?  

Yes, commit-msg is the proper hook to use here.  But git-gui doesn't
honor it.  I'll try to work out a fix after dinner this evening.

Thanks for the bug report.  Definately appreciated.

-- 
Shawn.